import{s as gt,n as ct,o as bt}from"../chunks/scheduler.b108d059.js";import{S as vt,i as Tt,g as r,s as d,r as O,A as wt,h as o,f as a,c as l,j as mt,u as F,x as i,k as ut,y as xt,a as n,v as W,d as K,t as Q,w as Y}from"../chunks/index.008de539.js";import{H as Z,g as At}from"../chunks/Heading.2ae93bdf.js";function Ct(tt){let s,E,R,L,p,M,f,et="We are continually expanding our support for other model types and plan to include them in future updates.",y,h,I,m,at=`Text Embeddings Inference currently supports BERT, CamemBERT, XLM-RoBERTa models with absolute positions and JinaBERT
model with Alibi positions.`,P,u,nt="Below are some examples of the currently supported models:",k,g,dt='<thead><tr><th>MTEB Rank</th> <th>Model Type</th> <th>Model ID</th></tr></thead> <tbody><tr><td>1</td> <td>Bert</td> <td><a href="https://hf.co/BAAI/bge-large-en-v1.5" rel="nofollow">BAAI/bge-large-en-v1.5</a></td></tr> <tr><td>2</td> <td></td> <td><a href="https://hf.co/BAAI/bge-base-en-v1.5" rel="nofollow">BAAI/bge-base-en-v1.5</a></td></tr> <tr><td>3</td> <td></td> <td><a href="https://hf.co/llmrails/ember-v1" rel="nofollow">llmrails/ember-v1</a></td></tr> <tr><td>4</td> <td></td> <td><a href="https://hf.co/thenlper/gte-large" rel="nofollow">thenlper/gte-large</a></td></tr> <tr><td>5</td> <td></td> <td><a href="https://hf.co/thenlper/gte-base" rel="nofollow">thenlper/gte-base</a></td></tr> <tr><td>6</td> <td></td> <td><a href="https://hf.co/intfloat/e5-large-v2" rel="nofollow">intfloat/e5-large-v2</a></td></tr> <tr><td>7</td> <td></td> <td><a href="https://hf.co/BAAI/bge-small-en-v1.5" rel="nofollow">BAAI/bge-small-en-v1.5</a></td></tr> <tr><td>10</td> <td></td> <td><a href="https://hf.co/intfloat/e5-base-v2" rel="nofollow">intfloat/e5-base-v2</a></td></tr> <tr><td>11</td> <td>XLM-RoBERTa</td> <td><a href="https://hf.co/intfloat/multilingual-e5-large" rel="nofollow">intfloat/multilingual-e5-large</a></td></tr> <tr><td>N/A</td> <td>JinaBERT</td> <td><a href="https://hf.co/jinaai/jina-embeddings-v2-base-en" rel="nofollow">jinaai/jina-embeddings-v2-base-en</a></td></tr> <tr><td>N/A</td> <td>JinaBERT</td> <td><a href="https://hf.co/jinaai/jina-embeddings-v2-small-en" rel="nofollow">jinaai/jina-embeddings-v2-small-en</a></td></tr></tbody>',H,c,lt=`To explore the list of best performing text embeddings models, visit the
<a href="https://huggingface.co/spaces/mteb/leaderboard" rel="nofollow">Massive Text Embedding Benchmark (MTEB) Leaderboard</a>.`,S,b,X,v,rt="Text Embeddings Inference currently supports CamemBERT, and XLM-RoBERTa Sequence Classification models with absolute positions.",j,T,ot="Below are some examples of the currently supported models:",q,w,it='<thead><tr><th>Task</th> <th>Model Type</th> <th>Model ID</th> <th>Revision</th></tr></thead> <tbody><tr><td>Re-Ranking</td> <td>XLM-RoBERTa</td> <td><a href="https://huggingface.co/BAAI/bge-reranker-large" rel="nofollow">BAAI/bge-reranker-large</a></td> <td><code>refs/pr/4</code></td></tr> <tr><td>Re-Ranking</td> <td>XLM-RoBERTa</td> <td><a href="https://huggingface.co/BAAI/bge-reranker-base" rel="nofollow">BAAI/bge-reranker-base</a></td> <td><code>refs/pr/5</code></td></tr> <tr><td>Sentiment Analysis</td> <td>RoBERTa</td> <td><a href="https://huggingface.co/SamLowe/roberta-base-go_emotions" rel="nofollow">SamLowe/roberta-base-go_emotions</a></td> <td></td></tr></tbody>',D,x,U,A,st=`Text Embeddings Inference supports can be used on CPU, Turing (T4, RTX 2000 series, …), Ampere 80 (A100, A30),
Ampere 86 (A10, A40, …), Ada Lovelace (RTX 4000 series, …), and Hopper (H100) architectures.`,z,C,pt=`The library does <strong>not</strong> support CUDA compute capabilities &lt; 7.5, which means V100, Titan V, GTX 1000 series, etc. are not supported.
To leverage your GPUs, make sure to install the
<a href="https://docs.nvidia.com/datacenter/cloud-native/container-toolkit/install-guide.html" rel="nofollow">NVIDIA Container Toolkit</a>, and use
NVIDIA drivers with CUDA version 12.2 or higher.`,N,$,ft="Find the appropriate Docker image for your hardware in the following table:",V,B,ht="<thead><tr><th>Architecture</th> <th>Image</th></tr></thead> <tbody><tr><td>CPU</td> <td>ghcr.io/huggingface/text-embeddings-inference:cpu-0.2.2</td></tr> <tr><td>Volta</td> <td>NOT SUPPORTED</td></tr> <tr><td>Turing (T4, RTX 2000 series, …)</td> <td>ghcr.io/huggingface/text-embeddings-inference:turing-0.2.2</td></tr> <tr><td>Ampere 80 (A100, A30)</td> <td>ghcr.io/huggingface/text-embeddings-inference:0.2.2</td></tr> <tr><td>Ampere 86 (A10, A40, …)</td> <td>ghcr.io/huggingface/text-embeddings-inference:86-0.2.2</td></tr> <tr><td>Ada Lovelace (RTX 4000 series, …)</td> <td>ghcr.io/huggingface/text-embeddings-inference:89-0.2.2</td></tr> <tr><td>Hopper (H100)</td> <td>ghcr.io/huggingface/text-embeddings-inference:hopper-0.2.2</td></tr></tbody>",G,_,J;return p=new Z({props:{title:"Supported models and hardware",local:"supported-models-and-hardware",headingTag:"h1"}}),h=new Z({props:{title:"Supported embeddings models",local:"supported-embeddings-models",headingTag:"h2"}}),b=new Z({props:{title:"Supported sequence classification models",local:"supported-sequence-classification-models",headingTag:"h2"}}),x=new Z({props:{title:"Supported hardware",local:"supported-hardware",headingTag:"h2"}}),{c(){s=r("meta"),E=d(),R=r("p"),L=d(),O(p.$$.fragment),M=d(),f=r("p"),f.textContent=et,y=d(),O(h.$$.fragment),I=d(),m=r("p"),m.textContent=at,P=d(),u=r("p"),u.textContent=nt,k=d(),g=r("table"),g.innerHTML=dt,H=d(),c=r("p"),c.innerHTML=lt,S=d(),O(b.$$.fragment),X=d(),v=r("p"),v.textContent=rt,j=d(),T=r("p"),T.textContent=ot,q=d(),w=r("table"),w.innerHTML=it,D=d(),O(x.$$.fragment),U=d(),A=r("p"),A.textContent=st,z=d(),C=r("p"),C.innerHTML=pt,N=d(),$=r("p"),$.textContent=ft,V=d(),B=r("table"),B.innerHTML=ht,G=d(),_=r("p"),this.h()},l(t){const e=wt("svelte-u9bgzb",document.head);s=o(e,"META",{name:!0,content:!0}),e.forEach(a),E=l(t),R=o(t,"P",{}),mt(R).forEach(a),L=l(t),F(p.$$.fragment,t),M=l(t),f=o(t,"P",{"data-svelte-h":!0}),i(f)!=="svelte-1k6m0ht"&&(f.textContent=et),y=l(t),F(h.$$.fragment,t),I=l(t),m=o(t,"P",{"data-svelte-h":!0}),i(m)!=="svelte-1sgfzdx"&&(m.textContent=at),P=l(t),u=o(t,"P",{"data-svelte-h":!0}),i(u)!=="svelte-vskdni"&&(u.textContent=nt),k=l(t),g=o(t,"TABLE",{"data-svelte-h":!0}),i(g)!=="svelte-6t05t9"&&(g.innerHTML=dt),H=l(t),c=o(t,"P",{"data-svelte-h":!0}),i(c)!=="svelte-1fz6qfa"&&(c.innerHTML=lt),S=l(t),F(b.$$.fragment,t),X=l(t),v=o(t,"P",{"data-svelte-h":!0}),i(v)!=="svelte-zqq6xg"&&(v.textContent=rt),j=l(t),T=o(t,"P",{"data-svelte-h":!0}),i(T)!=="svelte-vskdni"&&(T.textContent=ot),q=l(t),w=o(t,"TABLE",{"data-svelte-h":!0}),i(w)!=="svelte-ze9dp3"&&(w.innerHTML=it),D=l(t),F(x.$$.fragment,t),U=l(t),A=o(t,"P",{"data-svelte-h":!0}),i(A)!=="svelte-1hzwifd"&&(A.textContent=st),z=l(t),C=o(t,"P",{"data-svelte-h":!0}),i(C)!=="svelte-gw6034"&&(C.innerHTML=pt),N=l(t),$=o(t,"P",{"data-svelte-h":!0}),i($)!=="svelte-16dfo8x"&&($.textContent=ft),V=l(t),B=o(t,"TABLE",{"data-svelte-h":!0}),i(B)!=="svelte-12s0wxl"&&(B.innerHTML=ht),G=l(t),_=o(t,"P",{}),mt(_).forEach(a),this.h()},h(){ut(s,"name","hf:doc:metadata"),ut(s,"content",$t)},m(t,e){xt(document.head,s),n(t,E,e),n(t,R,e),n(t,L,e),W(p,t,e),n(t,M,e),n(t,f,e),n(t,y,e),W(h,t,e),n(t,I,e),n(t,m,e),n(t,P,e),n(t,u,e),n(t,k,e),n(t,g,e),n(t,H,e),n(t,c,e),n(t,S,e),W(b,t,e),n(t,X,e),n(t,v,e),n(t,j,e),n(t,T,e),n(t,q,e),n(t,w,e),n(t,D,e),W(x,t,e),n(t,U,e),n(t,A,e),n(t,z,e),n(t,C,e),n(t,N,e),n(t,$,e),n(t,V,e),n(t,B,e),n(t,G,e),n(t,_,e),J=!0},p:ct,i(t){J||(K(p.$$.fragment,t),K(h.$$.fragment,t),K(b.$$.fragment,t),K(x.$$.fragment,t),J=!0)},o(t){Q(p.$$.fragment,t),Q(h.$$.fragment,t),Q(b.$$.fragment,t),Q(x.$$.fragment,t),J=!1},d(t){t&&(a(E),a(R),a(L),a(M),a(f),a(y),a(I),a(m),a(P),a(u),a(k),a(g),a(H),a(c),a(S),a(X),a(v),a(j),a(T),a(q),a(w),a(D),a(U),a(A),a(z),a(C),a(N),a($),a(V),a(B),a(G),a(_)),a(s),Y(p,t),Y(h,t),Y(b,t),Y(x,t)}}}const $t='{"title":"Supported models and hardware","local":"supported-models-and-hardware","sections":[{"title":"Supported embeddings models","local":"supported-embeddings-models","sections":[],"depth":2},{"title":"Supported sequence classification models","local":"supported-sequence-classification-models","sections":[],"depth":2},{"title":"Supported hardware","local":"supported-hardware","sections":[],"depth":2}],"depth":1}';function Bt(tt){return bt(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=At}),[]}class Lt extends vt{constructor(s){super(),Tt(this,s,Bt,Ct,gt,{})}}export{Lt as component};
